# FeatherPad

## Overview

FeatherPad (by Pedram Pourang, a.k.a. Tsu Jan <tsujan2000@gmail.com>) is a lightweight Qt plain-text editor for Linux. It is independent of any desktop environment and has:

  * Drag-and-drop support, including tab detachment and attachment;
  * X11 virtual desktop awareness (using tabs on current desktop but opening a new window on another);
  * An optionally permanent search-bar with a different search entry for each tab;
  * Instant highlighting of found matches when searching;
  * A docked window for text replacement;
  * Support for showing line numbers and jumping to a specific line;
  * Optional selection highlighting;
  * Syntax highlighting for common programming languages;
  * Ability to open URLs with appropriate applications;
  * Session management;
  * Side-pane mode;
  * Auto-saving;
  * Spell checking with Hunspell;
  * Printing;
  * Text zooming;
  * Appropriate but non-interrupting prompts; and
  * Other features that can be found in its settings, on its menus or when it is actually used.

Please see [INSTALL](INSTALL) for instructions on compilation, installation and translation!

FeatherPad was written in GTK+ at first, then ported to Qt with more features. Its homepage is <https://github.com/tsujan/FeatherPad>.

## Credits

Haiku OS support is added by [khallebal at GitHub](https://github.com/khallebal).

macOS support is added by [Pavel Shliak](https://github.com/shlyakpavel).

OS/2 support is added by [josch1710 at GitHub](https://github.com/josch1710).

## Screenshots

The active Qt widget style determines the look and feel of every Qt application. The following screenshots are taken with a Kvantum theme and the dark color scheme of FeatherPad:

![Tabs](screenshots/Tabs.png?raw=true "Tabs")
![Side-Pane](screenshots/Side-Pane.png?raw=true "Side-Pane")
